
Redmine - Defect #6740

Max attachment size, incorrect usage of 'KB'

2010-10-25 15:20 - Anonymous

Status: Closed Start date: 2010-10-25

Priority: Normal Due date: 2010-11-26

Assignee: Azamat Hackimov % Done: 100%

Category: Translations Estimated time: 0.00 hour

Target version: 1.0.4   

Resolution: Fixed Affected version: 1.0.3

Description

When I came to change the maximum attachment size, I was confused about the 'KB' prefix used, since 'KB' is not a standard prefix

for anything. After doing some quick calculations I actually found out that this field is kilobytes, which is the SI decimal prefix 'kB'.

It would be good if this could be changed from 'KB' to 'kB' to stop confusion, and so we actually know what this fields value is

representing.

Associated revisions

Revision 4300 - 2010-10-27 20:46 - Azamat Hackimov

Fixing "Kilobyte" prefix to kB (#6740)

Revision 4426 - 2010-11-25 21:27 - Azamat Hackimov

Replaced hardcoded strings (KB) with i18n equivalent (number.human.storage_units.units.kb)

Fixes #6740 finally

History

#1 - 2010-10-25 18:04 - Holger Just

- Category set to Translations

- Assignee set to Azamat Hackimov

#2 - 2010-10-27 20:40 - Azamat Hackimov

- Due date set to 2010-10-28

- Status changed from New to Resolved

- Target version set to 1.0.3

Fixed in r4300.

#3 - 2010-11-01 01:22 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.3

#4 - 2010-11-07 17:40 - Anonymous

Are we sure this was fixed? I'm running 1.0.3.stable.4387 and yet I'm still seeing 'KB' instead of 'kB'.

#5 - 2010-11-07 18:05 - Holger Just

It was merged in r4335.

#6 - 2010-11-09 13:21 - Anonymous

Holger Just wrote:

It was merged in r4335.

 Sure, that doesn't mean it's fixed though and I can confirm this isn't. The 'KB' is hard coded into 'app/views/settings/_general.rhtml' ;)
#7 - 2010-11-25 13:12 - Anonymous

Just wondering if someone could give a response as to the status of this.

#8 - 2010-11-25 13:22 - Azamat Hackimov

- Due date deleted (2010-10-28)

- Status changed from Closed to Reopened

- Target version changed from 1.0.3 to 1.0.4

- Affected version (unused) set to 1.0.3

- Affected version set to 1.0.3

I'll fix this issue.

#9 - 2010-11-25 21:20 - Azamat Hackimov

- Due date set to 2010-11-26

- Status changed from Reopened to Resolved

- Resolution set to Fixed

Fixed in r4426.

#10 - 2010-11-25 22:17 - Azamat Hackimov

- Status changed from Resolved to Closed

- % Done changed from 0 to 100

Applied in changeset r4426.

#11 - 2010-11-26 06:02 - Azamat Hackimov

- Status changed from Closed to Reopened

Heh, autoclosing working! :)

#12 - 2010-11-26 06:03 - Azamat Hackimov

- Status changed from Reopened to Resolved

#13 - 2010-11-27 15:21 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Azamat, thanks for your fix.

Merged in 1.0-stable.
